Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Mon, 15 Aug 2022 19:36:49 +0000

>
> No, I want a simple variable that just gives the size of the narrowed 
> region, with nil meaning don't narrow at all.
>

FWIW, I strongly object to the addition of such a variable (unless it is 
clearly stated that it is added temporarily and should not be used except 
for testing purposes).

Adding such a variable only two weeks after locked narrowing has been 
introduced means that modes will have little incentive to adapt to that 
stronger constraint, if they can "fix" whatever problems that constraint 
might cause by setting that variable to nil in their initialization hooks.

We did not have enough time yet to explore whether and how syntax-ppss can 
be improved.